> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/marketing/api/reports/list-eepurl/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # List EepURL activity GET https://api.mailchimp.com/3.0/reports/{campaign_id}/eepurl Get a summary of social activity for the campaign, tracked by EepURL. Reference: https://mailchimp.com/developer/marketing/api/reports/list-eepurl ## Authentication - `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token) - `Authorization` header (bearer token, required) — Authorization using OAuth ## Request ### Path parameters - `campaign_id` (string, required) — The unique id for the campaign. ### Query parameters - `fields` (list of string, optional) — A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. - `exclude_fields` (list of string, optional) — A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. ## Response ### 200 - `_links` (list of 30ReportsCampaignIdEepurlGetResponsesContentApplicationJsonSchemaLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `campaign_id` (string, optional) — The unique id for the campaign. - `clicks` (30ReportsCampaignIdEepurlGetResponsesContentApplicationJsonSchemaClicks, optional) — A summary of the click-throughs on the campaign's URL. - `eepurl` (string, optional) — The shortened link used for tracking. - `referrers` (list of 30ReportsCampaignIdEepurlGetResponsesContentApplicationJsonSchemaReferrersItems, optional) — A summary of the top referrers for the campaign. - `total_items` (integer, optional) — The total number of items matching the query regardless of pagination. - `twitter` (30ReportsCampaignIdEepurlGetResponsesContentApplicationJsonSchemaTwitter, optional) — A summary of Twitter activity for a campaign. ## Types ### 30ReportsCampaignIdEepurlGetResponsesContentApplicationJsonSchemaLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ### 30ReportsCampaignIdEepurlGetResponsesContentApplicationJsonSchemaClicks A summary of the click-throughs on the campaign's URL. - `clicks` (integer, optional) — The total number of clicks to the campaign's URL. - `first_click` (datetime, optional) — The timestamp for the first click to the URL. - `last_click` (datetime, optional) — The timestamp for the last click to the URL. - `locations` (list of 30ReportsCampaignIdEepurlGetResponsesContentApplicationJsonSchemaClicksLocationsItems, optional) — A summary of the top click locations. ### 30ReportsCampaignIdEepurlGetResponsesContentApplicationJsonSchemaReferrersItems A single instance of a campaign referral. - `clicks` (integer, optional) — The number of clicks a single referrer generated. - `first_click` (datetime, optional) — The timestamp for the first click from this referrer. - `last_click` (datetime, optional) — The timestamp for the last click from this referrer. - `referrer` (string, optional) — A referrer (truncated to 100 bytes). ### 30ReportsCampaignIdEepurlGetResponsesContentApplicationJsonSchemaTwitter A summary of Twitter activity for a campaign. - `first_tweet` (string, optional) — The day and time of the first recorded tweet with a link to the campaign. - `last_tweet` (string, optional) — The day and time of the last recorded tweet with a link to the campaign. - `retweets` (integer, optional) — The number of retweets that include a link to the campaign. - `statuses` (list of 30ReportsCampaignIdEepurlGetResponsesContentApplicationJsonSchemaTwitterStatusesItems, optional) — A summary of tweets that include a link to the campaign. - `tweets` (integer, optional) — The number of tweets including a link to the campaign. ### 30ReportsCampaignIdEepurlGetResponsesContentApplicationJsonSchemaClicksLocationsItems An individual click location. - `country` (string, optional) — The two-digit country code for a recorded click. - `region` (string, optional) — If available, a specific region where the click was recorded. ### 30ReportsCampaignIdEepurlGetResponsesContentApplicationJsonSchemaTwitterStatusesItems An individual tweet. - `datetime` (datetime, optional) — A timestamp for the tweet. - `is_retweet` (boolean, optional) — A 'true' or 'false' status of whether the tweet is a retweet. - `screen_name` (string, optional) — The Twitter handle for the author of the tweet. - `status` (string, optional) — The body of the tweet. - `status_id` (string, optional) — The individual id for the tweet. ## Examples **Response** ```json { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "campaign_id": "string", "clicks": { "clicks": 1, "first_click": "2024-01-15T09:30:00Z", "last_click": "2024-01-15T09:30:00Z", "locations": [ { "country": "string", "region": "NY" } ] }, "eepurl": "string", "referrers": [ { "clicks": 1, "first_click": "2024-01-15T09:30:00Z", "last_click": "2024-01-15T09:30:00Z", "referrer": "string" } ], "total_items": 1, "twitter": { "first_tweet": "string", "last_tweet": "string", "retweets": 1, "statuses": [ { "datetime": "2024-01-15T09:30:00Z", "is_retweet": true, "screen_name": "string", "status": "string", "status_id": "string" } ], "tweets": 1 } } ``` **SDK Code** ```python import requests url = "https://api.mailchimp.com/3.0/reports/campaign_id/eepurl" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mailchimp.com/3.0/reports/campaign_id/eepurl'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.mailchimp.com/3.0/reports/campaign_id/eepurl" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mailchimp.com/3.0/reports/campaign_id/eepurl") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.mailchimp.com/3.0/reports/campaign_id/eepurl") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.mailchimp.com/3.0/reports/campaign_id/eepurl', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mailchimp.com/3.0/reports/campaign_id/eepurl"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/reports/campaign_id/eepurl")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.